$ErrorActionPreference = 'Stop'

$packageArgs = @{
  packageName    = 'opentoonz'
  fileType       = 'exe'
  url            = 'https://github.com/opentoonz/opentoonz/releases/download/v1.1.2/OpenToonzSetup.exe'
  softwareName   = 'OpenToonz'
  checksum       = '6697F5BB0704A746351A449A7D8CBCC62757935409D35BB63B50A04C0E69BE25'
  checksumType   = 'sha256'
  silentArgs     = "/VERYSILENT /NORESTART /RESTARTEXITCODE=3010 /SUPPRESSMSGBOXES /SP- /LOG=`"$($env:TEMP)\$($env:chocolateyPackageName).$($env:chocolateyPackageVersion).InnoInstall.log`""
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs